#!/bin/python
# Simple script to shutdown or reboot the Raspberry Pi by pressing corresponding button.

# Import libraries
import RPi.GPIO as GPIO
import time
import os
btnShutdown=20   #momentary switch attached to GPIO20
btnReboot=21     #momentary switch attached to GPIO21

# Use the Broadcom SOC Pin numbers
# Setup the Pin with Internal pullups enabled and PIN in reading mode.
GPIO.setmode(GPIO.BCM)
GPIO.setup(btnShutdown, GPIO.IN, pull_up_down = GPIO.PUD_UP)
GPIO.setup(btnReboot, GPIO.IN, pull_up_down = GPIO.PUD_UP)

# Function assigned to do programmed action when each button is pressed
def Shutdown(channel):
   os.system("sudo shutdown -h now")
def Restart(channel):
   os.system("sudo shutdown -r now")

# Add function to execute event when each button pressed
GPIO.add_event_detect(btnShutdown, GPIO.FALLING, callback = Shutdown, bouncetime = 2000)
GPIO.add_event_detect(btnReboot, GPIO.FALLING, callback = Restart, bouncetime = 2000)

while 1:
   time.sleep(1) #time delay for 1 second
